/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.MGV_ALL_CATALOGS")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "MgvAllCatalogs.findAll", query = "SELECT m FROM MgvAllCatalogs m"),
    @NamedQuery(name = "MgvAllCatalogs.findByProjectId", query = "SELECT m FROM MgvAllCatalogs m WHERE m.projectId = :projectId"),
    @NamedQuery(name = "MgvAllCatalogs.findByProjectName", query = "SELECT m FROM MgvAllCatalogs m WHERE m.projectName = :projectName"),
    @NamedQuery(name = "MgvAllCatalogs.findByConnectionId", query = "SELECT m FROM MgvAllCatalogs m WHERE m.connectionId = :connectionId"),
    @NamedQuery(name = "MgvAllCatalogs.findByHost", query = "SELECT m FROM MgvAllCatalogs m WHERE m.host = :host"),
    @NamedQuery(name = "MgvAllCatalogs.findByPort", query = "SELECT m FROM MgvAllCatalogs m WHERE m.port = :port"),
    @NamedQuery(name = "MgvAllCatalogs.findByUsername", query = "SELECT m FROM MgvAllCatalogs m WHERE m.username = :username"),
    @NamedQuery(name = "MgvAllCatalogs.findByDburl", query = "SELECT m FROM MgvAllCatalogs m WHERE m.dburl = :dburl"),
    @NamedQuery(name = "MgvAllCatalogs.findByCatalogId", query = "SELECT m FROM MgvAllCatalogs m WHERE m.catalogId = :catalogId"),
    @NamedQuery(name = "MgvAllCatalogs.findByCatalogName", query = "SELECT m FROM MgvAllCatalogs m WHERE m.catalogName = :catalogName")})
public class MgvAllCatalogs implements Serializable {

    private static final long serialVersionUID = 1L;
    @Basic(optional = false)
    @Column(name = "PROJECT_ID")
    private BigInteger projectId;
    @Basic(optional = false)
    @Column(name = "PROJECT_NAME")
    private String projectName;
    @Basic(optional = false)
    @Column(name = "CONNECTION_ID")
    private BigInteger connectionId;
    @Column(name = "HOST")
    private String host;
    @Column(name = "PORT")
    private BigInteger port;
    @Column(name = "USERNAME")
    private String username;
    @Column(name = "DBURL")
    private String dburl;
    @Basic(optional = false)
    @Column(name = "CATALOG_ID")
    private BigInteger catalogId;
    @Column(name = "CATALOG_NAME")
    private String catalogName;

    public MgvAllCatalogs() {
    }

    public BigInteger getProjectId() {
        return projectId;
    }

    public void setProjectId(BigInteger projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigInteger getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(BigInteger connectionId) {
        this.connectionId = connectionId;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public BigInteger getPort() {
        return port;
    }

    public void setPort(BigInteger port) {
        this.port = port;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getDburl() {
        return dburl;
    }

    public void setDburl(String dburl) {
        this.dburl = dburl;
    }

    public BigInteger getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(BigInteger catalogId) {
        this.catalogId = catalogId;
    }

    public String getCatalogName() {
        return catalogName;
    }

    public void setCatalogName(String catalogName) {
        this.catalogName = catalogName;
    }
    
}
